//-*-c++-*-
# ifndef TestPositionalEvaluation_h
# define TestPositionalEvaluation_h

# include <cppunit/extensions/HelperMacros.h>
class TestPositionalEvaluation
  : public CppUnit::TestFixture
{

  CPPUNIT_TEST_SUITE( TestPositionalEvaluation );
  CPPUNIT_TEST( initialize );
  CPPUNIT_TEST( basicValue );
  CPPUNIT_TEST( evaluation );
  CPPUNIT_TEST( centralization );
  //  CPPUNIT_TEST( piecePlacement );
  CPPUNIT_TEST( passedPawns );
  CPPUNIT_TEST( numberOfPawnsOnFile );
  CPPUNIT_TEST( topPawn );
  CPPUNIT_TEST( bottomPawn );
  CPPUNIT_TEST( testKingSafety );
  CPPUNIT_TEST_SUITE_END() ;
protected:
  void initialize();
  void basicValue();
  void evaluation();
  void centralization();
  void piecePlacement();
  void passedPawns();
  void numberOfPawnsOnFile();
  void topPawn();
  void bottomPawn();
  void testKingSafety();
};

# endif
